﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Nano {
    using System;
    
    
    /// <summary>
    ///   A strongly-typed resource class, for looking up localized strings, etc.
    /// </summary>
    // This class was auto-generated by the StronglyTypedResourceBuilder
    // class via a tool like ResGen or Visual Studio.
    // To add or remove a member, edit your .ResX file then rerun ResGen
    // with the /str option, or rebuild your VS project.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    internal class Strings {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal Strings() {
        }
        
        /// <summary>
        ///   Returns the cached ResourceManager instance used by this class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("Nano.Strings", typeof(Strings).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Overrides the current thread's CurrentUICulture property for all
        ///   resource lookups using this strongly typed resource class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to A exception occurred during receive from client {0}..
        /// </summary>
        internal static string ClientSession_Exception_Receive {
            get {
                return ResourceManager.GetString("ClientSession_Exception_Receive", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to A exception occurred during receive callback from client {0}..
        /// </summary>
        internal static string ClientSession_Exception_ReceiveCallback {
            get {
                return ResourceManager.GetString("ClientSession_Exception_ReceiveCallback", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to An exception occurred during send to client {0}..
        /// </summary>
        internal static string ClientSession_Exception_Send_General {
            get {
                return ResourceManager.GetString("ClientSession_Exception_Send_General", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to A socket exception occurred during send to client {0}..
        /// </summary>
        internal static string ClientSession_Exception_Send_Socket {
            get {
                return ResourceManager.GetString("ClientSession_Exception_Send_Socket", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to An exception occurred during send callback to client {0}..
        /// </summary>
        internal static string ClientSession_Exception_SendCallback {
            get {
                return ResourceManager.GetString("ClientSession_Exception_SendCallback", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Session ended.
        /// </summary>
        internal static string ClientSession_SessionEnded {
            get {
                return ResourceManager.GetString("ClientSession_SessionEnded", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Start.
        /// </summary>
        internal static string ClientSession_Start {
            get {
                return ResourceManager.GetString("ClientSession_Start", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Stopped.
        /// </summary>
        internal static string ClientSession_Stopped {
            get {
                return ResourceManager.GetString("ClientSession_Stopped", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Stopping.
        /// </summary>
        internal static string ClientSession_Stopping {
            get {
                return ResourceManager.GetString("ClientSession_Stopping", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Failed commands must have a message..
        /// </summary>
        internal static string Command_Failed_MissingMessage {
            get {
                return ResourceManager.GetString("Command_Failed_MissingMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to &quot;{0}&quot; {1}.
        /// </summary>
        internal static string Command_GetStreamFormat_ItemFormat {
            get {
                return ResourceManager.GetString("Command_GetStreamFormat_ItemFormat", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Cannot request to join stream. No stream with the id {0} exists..
        /// </summary>
        internal static string Command_JoinStream_Error_NoStream {
            get {
                return ResourceManager.GetString("Command_JoinStream_Error_NoStream", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Join stream {0} request failed. {1}.
        /// </summary>
        internal static string Command_JoinStream_Failed {
            get {
                return ResourceManager.GetString("Command_JoinStream_Failed", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Request to join stream {0}.
        /// </summary>
        internal static string Command_JoinStream_Request {
            get {
                return ResourceManager.GetString("Command_JoinStream_Request", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Remote has joined stream {0}.
        /// </summary>
        internal static string Command_JoinStream_Request_Success {
            get {
                return ResourceManager.GetString("Command_JoinStream_Request_Success", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Successfully joined stream {0}..
        /// </summary>
        internal static string Command_JoinStream_Success {
            get {
                return ResourceManager.GetString("Command_JoinStream_Success", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Cannot leave stream. No stream with the id {0} exists..
        /// </summary>
        internal static string Command_LeaveStream_Error_NoStream {
            get {
                return ResourceManager.GetString("Command_LeaveStream_Error_NoStream", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Leave stream {0} request failed. {1}.
        /// </summary>
        internal static string Command_LeaveStream_Failed {
            get {
                return ResourceManager.GetString("Command_LeaveStream_Failed", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Request to leave stream {0}.
        /// </summary>
        internal static string Command_LeaveStream_Request {
            get {
                return ResourceManager.GetString("Command_LeaveStream_Request", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Remote has left stream {0}.
        /// </summary>
        internal static string Command_LeaveStream_Request_Success {
            get {
                return ResourceManager.GetString("Command_LeaveStream_Request_Success", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Successfully left stream {0}..
        /// </summary>
        internal static string Command_LeaveStream_Success {
            get {
                return ResourceManager.GetString("Command_LeaveStream_Success", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Set stream format request failed. {0}.
        /// </summary>
        internal static string Command_StreamFormat_Failed {
            get {
                return ResourceManager.GetString("Command_StreamFormat_Failed", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Set &quot;{5}&quot; to {2} x {1}, {3} max count, {4} bytes.
        /// </summary>
        internal static string Command_StreamFormat_Set {
            get {
                return ResourceManager.GetString("Command_StreamFormat_Set", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Stream list request failed. {0}.
        /// </summary>
        internal static string Command_StreamList_Failed {
            get {
                return ResourceManager.GetString("Command_StreamList_Failed", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Stream list request returned {0} items.
        /// </summary>
        internal static string Command_StreamList_Header {
            get {
                return ResourceManager.GetString("Command_StreamList_Header", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to {0} &quot;{1}&quot;.
        /// </summary>
        internal static string Command_StreamList_ItemFormat {
            get {
                return ResourceManager.GetString("Command_StreamList_ItemFormat", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Send stream list {0} items.
        /// </summary>
        internal static string Command_StreamList_Send_ListHeader {
            get {
                return ResourceManager.GetString("Command_StreamList_Send_ListHeader", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Request stream list.
        /// </summary>
        internal static string Command_StreamList_Send_Request {
            get {
                return ResourceManager.GetString("Command_StreamList_Send_Request", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Stream list request.
        /// </summary>
        internal static string Command_StreamListRequest {
            get {
                return ResourceManager.GetString("Command_StreamListRequest", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to List item command failed..
        /// </summary>
        internal static string Command_UnexpectedCommandState_ListItem {
            get {
                return ResourceManager.GetString("Command_UnexpectedCommandState_ListItem", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Failed to get variable list. {0}.
        /// </summary>
        internal static string Command_VariableList_Failed {
            get {
                return ResourceManager.GetString("Command_VariableList_Failed", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Received variable list header ({0} items).
        /// </summary>
        internal static string Command_VariableList_ListHeader {
            get {
                return ResourceManager.GetString("Command_VariableList_ListHeader", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to {0} &quot;{1}&quot; {2}.
        /// </summary>
        internal static string Command_VariableList_ListItem {
            get {
                return ResourceManager.GetString("Command_VariableList_ListItem", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Request variable list.
        /// </summary>
        internal static string Command_VariableList_Request {
            get {
                return ResourceManager.GetString("Command_VariableList_Request", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Send variable list {0} items.
        /// </summary>
        internal static string Command_VariableList_Send_ListHeader {
            get {
                return ResourceManager.GetString("Command_VariableList_Send_ListHeader", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Create stream &quot;{0}&quot; {1}.
        /// </summary>
        internal static string DefineStream {
            get {
                return ResourceManager.GetString("DefineStream", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Argument {0} is of the wrong type..
        /// </summary>
        internal static string Error_Argument_WrongType {
            get {
                return ResourceManager.GetString("Error_Argument_WrongType", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Failed to leave one or more streams..
        /// </summary>
        internal static string Error_Client_FailedToLeaveStreams {
            get {
                return ResourceManager.GetString("Error_Client_FailedToLeaveStreams", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to The stream {0} does not exist..
        /// </summary>
        internal static string Error_StreamDoesNotExist {
            get {
                return ResourceManager.GetString("Error_StreamDoesNotExist", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Unknown command.
        /// </summary>
        internal static string Error_UnknownCommand {
            get {
                return ResourceManager.GetString("Error_UnknownCommand", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to [Broadcast].
        /// </summary>
        internal static string Literal_Broadcast {
            get {
                return ResourceManager.GetString("Literal_Broadcast", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to {0} {1} [Unknown stream].
        /// </summary>
        internal static string OnDataPacket_UnknownStream {
            get {
                return ResourceManager.GetString("OnDataPacket_UnknownStream", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to {0} {1} [Unknown format] &quot;{2}&quot;.
        /// </summary>
        internal static string OnDataPacket_UnknownStreamFormat {
            get {
                return ResourceManager.GetString("OnDataPacket_UnknownStreamFormat", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Already connected.
        /// </summary>
        internal static string TcpTransportClient_AlreadyConnected {
            get {
                return ResourceManager.GetString("TcpTransportClient_AlreadyConnected", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Connecting to {0} attempt {1}.
        /// </summary>
        internal static string TcpTransportClient_ConnectAttempt {
            get {
                return ResourceManager.GetString("TcpTransportClient_ConnectAttempt", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Could not start simulation client.
        /// </summary>
        internal static string TcpTransportClient_Exception_CouldNotStart {
            get {
                return ResourceManager.GetString("TcpTransportClient_Exception_CouldNotStart", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to A packet receiver has already been attached.
        /// </summary>
        internal static string TcpTransportClient_PacketReceiverAlreadyAttached {
            get {
                return ResourceManager.GetString("TcpTransportClient_PacketReceiverAlreadyAttached", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to A packet receiver has not been attached.
        /// </summary>
        internal static string TcpTransportClient_PacketReceiverNotAttached {
            get {
                return ResourceManager.GetString("TcpTransportClient_PacketReceiverNotAttached", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to TResult must be an Enum..
        /// </summary>
        internal static string Xml_TResultMustBeAnEnum {
            get {
                return ResourceManager.GetString("Xml_TResultMustBeAnEnum", resourceCulture);
            }
        }
    }
}
